import {BranchData, BranchNode, StateBranchNode} from "../StateBranchNode";
import {BranchExporter} from "./Exporters";

export class OffersBranchExporter implements BranchExporter {
    canExport(branch: BranchNode): boolean {
        return branch.isOffers()
    }

    export(branch: StateBranchNode): BranchData<Record<any, any>> {
        return branch.exportData()
    }

}